#include "sparrowmodule.h"
#include "message.h"
#include "basemodule.h"
#include <QStringList>

SparrowModule::SparrowModule()
{

}

bool SparrowModule::messageHandler(Message msg)
{
    if(msg.command.compare("JOIN") == 0
            && msg.target.compare("#"+getChan()) == 0
            && msg.nick.compare(getNick()) != 0)
    {
        answer = say("Bienvenue sur #epicsparrow "+msg.nick+"!");
        return true;
    }
    else if(msg.command.compare(QString("PRIVMSG"), Qt::CaseInsensitive) == 0)
    {
        User* user = getUsers()->getFromNick(msg.nick);
        if(msg.args.startsWith("!control ") && user->isOp())
        {
            QString command = msg.args.remove(0, 9);
            answer = command + "\r\n";
            return true;
        }
        else if(msg.args.compare("!version") == 0)
        {
            answer = say("sparrowModule v1.0");
            return true;
        }
        else if(msg.args.startsWith("!devzone"))
        {
            QStringList paramList = msg.args.split(' ');
            if(paramList.size() < 2)
                return false;
            QString param = paramList[1];
            if(param.compare("whiteboard") == 0)
                answer = say("whiteboard : http://webwhiteboard.com/#7w9fcmeg");
            else if(param.compare("gitlab") == 0)
                answer = say("gitlab : https://git.epicsparrow.com");
            else if(param.compare("lino") == 0)
                answer = say("lino : http://linoit.com/groups/EpicSparrow/canvases/EpicSparrow");
            else
                answer = say("available devzone links : lino, whiteboard, gitlab");
            return true;
        }
    }
    return false;
}

QString SparrowModule::getName()
{
    return "sparrow";
}
